%% funzione che attiva/disattiva l'elaborazione per una determinata tipologia di nodo
% Ad esempio se la matrice RSN Link è vuota i RSN Link non sono presenti
% e si scrive yesRSN = 0, altrimenti se ci sono dei dati, yesRSN = 1 e ne
% viene attivata l'elaborazione nelle fasi successive

function [yesRSN,yesRSNHR,yesSS,yesLL,yesTrL,yesGF,yesGS,yesDL,rRSN,rRSNHR,...
    rLL,rTrL,rSS,rDL] = YesNo(NodoRSNLink,NodoRSNLinkHR,NodoSS,NodoLoadLink,...
    NodoTriggerLink,NodoGflowLink,NodoGshockLink,NodoDebrisLink,FileName)

fileID = fopen(FileName,'a');
fmt = '%s \r';
text = 'YesNo function started';
fprintf(fileID,fmt,text);

%% RSN Link
[rRSN,cRSN] = size(NodoRSNLink); 
if  rRSN == 0 && cRSN == 0
    yesRSN = 0; % Non elaboro i RSN Link
else
    yesRSN = 1; % attiva l'elaborazione dei RSN Link
end

%% RSN Link HR
[rRSNHR,cRSNHR] = size(NodoRSNLinkHR); 
if  rRSNHR == 0 && cRSNHR == 0
    yesRSNHR = 0; % Non elaboro i RSN Link HR
else
    yesRSNHR = 1; % attiva l'elaborazione dei RSN Link HR
end

%% Load Link
[rLL,cLL] = size(NodoLoadLink);
if  rLL == 0 && cLL == 0
    yesLL = 0; % Non elaboro i Load Link
else
    yesLL = 1; % attiva l'elaborazione dei Load Link
end

%% Trigger Link
[rTrL,cTrL] = size(NodoTriggerLink);
if  rTrL == 0 && cTrL == 0
    yesTrL = 0; % Non elaboro i Trigger Link
else
    yesTrL = 1; % attiva l'elaborazione dei Trigger Link
end

%% Shock Sensor
[rSS,cSS] = size(NodoSS);
if  rSS==0 && cSS==0
    yesSS = 0; % Non elaboro 
else
    yesSS = 1; % attiva l'elaborazione 
end

%% G-Flow Link
[rGF,cGF] = size(NodoGflowLink); 
if  rGF == 0 && cGF == 0
    yesGF = 0; % Non elaboro
else
    yesGF = 1; % attiva l'elaborazione
end

%% G-Shock Link
[rGS,cGS] = size(NodoGshockLink); 
if  rGS == 0 && cGS == 0
    yesGS = 0; % Non elaboro
else
    yesGS = 1; % attiva l'elaborazione
end

%% Debris Link
[rDL,cDL] = size(NodoDebrisLink); 
if  rDL == 0 && cDL == 0
    yesDL = 0; % Non elaboro
else
    yesDL = 1; % attiva l'elaborazione
end

text = 'Activation parameters for the elaboration defined correctly, YesNo function closed';
fprintf(fileID,fmt,text);
fclose(fileID);
end